curl --request POST \
--url https://services.leadconnectorhq.com/store/shipping-carrier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
}
'{
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}The “Create Shipping Carrier” API allows adding a new shipping carrier.
curl --request POST \
--url https://services.leadconnectorhq.com/store/shipping-carrier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
}
'{
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Name of the shipping carrier
"FedEx"
The URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL.
"https://example.com/get-shipping-rates"
An array of available shipping carrier services
Show child attributes
The seller can choose multiple services while creating shipping rates if this is true.
true
Was this page helpful?